Index: /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/ini_histhf.h
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/ini_histhf.h	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/ini_histhf.h	(revision 634)
@@ -14,15 +14,18 @@
 
 c
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
-         DO i = 1, iim
-            zx_lon(i,1) = rlon(i+1)
-            zx_lon(i,jjmp1) = rlon(i+1)
-         ENDDO
-
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
+cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
+cym         DO i = 1, iim
+cym            zx_lon(i,1) = rlon(i+1)
+cym            zx_lon(i,jjmp1) = rlon(i+1)
+cym         ENDDO
+
+cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
 
 cccIM      CALL histbeg("histhf", iim,zx_lon, jjmp1,zx_lat,
-         CALL histbeg("histhf", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
-     .                 1,iim,1,jjmp1, itau_phy, zjulian, dtime, 
+cym         CALL histbeg("histhf", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
+cym     .                 1,iim,1,jjmp1, itau_phy, zjulian, dtime, 
+cym     .                 nhori, nid_hf)
+
+         CALL histbeg_phy("histhf", itau_phy, zjulian, dtime, 
      .                 nhori, nid_hf)
 
@@ -42,13 +45,13 @@
 c
          CALL histdef(nid_hf, "aireTER","Grid area CONT","-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "once", zsto,zout)
 c
          CALL histdef(nid_hf, "contfracATM","% sfce ter+lic ","-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "once", zsto,zout)
 c
          CALL histdef(nid_hf, "contfracOR","% sfce terre OR", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "once", zsto,zout)
 c
@@ -56,13 +59,13 @@
 c
          CALL histdef(nid_hf, "t2m", "Temperature 2m", "K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_hf, "q2m", "Specific humidity", "kg/kg",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_hf, "psol", "Surface Pressure", "Pa",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
@@ -70,5 +73,5 @@
 
          CALL histdef(nid_hf, "rain", "Precipitation", "kg/m^2s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zsto1,zout)
 c
@@ -76,22 +79,22 @@
 c
          CALL histdef(nid_hf, "tsol", "Surface Temperature", "K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_hf, "slp", "Sea Level Pressure", "Pa",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
 c
          CALL histdef(nid_hf, "u10m", "Vent zonal 10m", "m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_hf, "v10m", "Vent meridien 10m", "m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_hf, "wind10m","10-m wind speed","m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
@@ -100,5 +103,5 @@
           CALL histdef(nid_hf, "phi"//clev(k),
      .                "Geopotential"//clev(k)//"mb", "m2/s2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
           ENDIF !clev(k).EQ."500"
@@ -110,5 +113,5 @@
 c
          CALL histdef(nid_hf, "cldt", "Total cloudiness", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zsto1,zout)
 c
@@ -116,10 +119,10 @@
          CALL histdef(nid_hf, "SWdownOR",
      .                "Sfce incident SW down radiation OR", "W/m^2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zsto1,zout)
 c
          CALL histdef(nid_hf, "SWnetOR",
      .                "Sfce incident SW net radiation OR", "W/m^2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zsto1,zout)
 c -- LOOP
@@ -127,5 +130,5 @@
          CALL histdef(nid_hf, "LWdownOR",
      .                "Sfce incident LW radiation OR", "W/m^2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zsto1,zout)
       ENDIF !lev_histhf.GE.2
@@ -139,5 +142,5 @@
           CALL histdef(nid_hf, "t"//clev(k),
      .                 "Temperature"//clev(k)//"mb","K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
@@ -145,5 +148,5 @@
           CALL histdef(nid_hf, "phi"//clev(k), 
      .                "Geopotential"//clev(k)//"mb", "m2/s2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
           ENDIF
@@ -151,5 +154,5 @@
           CALL histdef(nid_hf, "q"//clev(k),
      .                 "Specific humidity"//clev(k)//"mb","kg/kg",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
@@ -157,5 +160,5 @@
          CALL histdef(nid_hf, "rh"//clev(k),
      .                 "Relative humidity"//clev(k)//"mb", "%",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
          ENDIF
@@ -163,10 +166,10 @@
           CALL histdef(nid_hf, "u"//clev(k),
      .                 "Zonal wind"//clev(k)//"mb","m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
           CALL histdef(nid_hf, "v"//clev(k),
      .                 "Meridional wind"//clev(k)//"mb","m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
@@ -174,9 +177,9 @@
          IF(1.EQ.0) THEN
          CALL histdef(nid_hf, "cdrm", " Momentum drag coef.", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_hf, "cdrh", "Heat drag coef.", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
          ENDIF !(1.EQ.0) THEN
Index: /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/ini_histhf3d.h
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/ini_histhf3d.h	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/ini_histhf3d.h	(revision 634)
@@ -20,15 +20,17 @@
 
 c
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
-         DO i = 1, iim
-            zx_lon(i,1) = rlon(i+1)
-            zx_lon(i,jjmp1) = rlon(i+1)
-         ENDDO
+cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
+cym         DO i = 1, iim
+cym            zx_lon(i,1) = rlon(i+1)
+cym            zx_lon(i,jjmp1) = rlon(i+1)
+cym         ENDDO
 
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
+cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
 
 cccIM      CALL histbeg("histhf", iim,zx_lon, jjmp1,zx_lat,
-         CALL histbeg("histhf3d", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
-     .                 1,iim,1,jjmp1, itau_phy, zjulian, dtime, 
+cym         CALL histbeg("histhf3d", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
+cym     .                 1,iim,1,jjmp1, itau_phy, zjulian, dtime, 
+cym     .                 nhori, nid_hf3d)
+         CALL histbeg_phy("histhf3d", itau_phy, zjulian, dtime, 
      .                 nhori, nid_hf3d)
 
@@ -42,17 +44,17 @@
 c
          CALL histdef(nid_hf3d, "temp", "Air temperature", "K",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_hf3d, "ovap", "Specific humidity", "kg/kg",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_hf3d, "vitu", "Zonal wind", "m/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
          CALL histdef(nid_hf3d, "vitv", "Meridional wind", "m/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zsto,zout)
 c
Index: /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/ini_histins.h
===================================================================
--- /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/ini_histins.h	(revision 633)
+++ /LMDZ4/branches/LMDZ4_par_0/libf/phylmd/ini_histins.h	(revision 634)
@@ -10,15 +10,17 @@
          CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
 c
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
-         DO i = 1, iim
-            zx_lon(i,1) = rlon(i+1)
-            zx_lon(i,jjmp1) = rlon(i+1)
-         ENDDO
+cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
+cym         DO i = 1, iim
+cym            zx_lon(i,1) = rlon(i+1)
+cym            zx_lon(i,jjmp1) = rlon(i+1)
+cym         ENDDO
          DO ll=1,klev
             znivsig(ll)=float(ll)
          ENDDO
-         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
-         CALL histbeg("histins", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
-     .                 1,iim,1,jjmp1, itau_phy, zjulian, dtime,
+cym         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
+cym         CALL histbeg("histins", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
+cym     .                 1,iim,1,jjmp1, itau_phy, zjulian, dtime,
+cym     .                 nhori, nid_ins)
+         CALL histbeg_phy("histins", itau_phy, zjulian, dtime,
      .                 nhori, nid_ins)
          write(*,*)'Inst ', itau_phy, zjulian
@@ -30,9 +32,9 @@
 c
          CALL histdef(nid_ins, "phis", "Surface geop. height", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "once", zsto,zout)
 c
          CALL histdef(nid_ins, "aire", "Grid area", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "once", zsto,zout)
 c
@@ -40,102 +42,102 @@
 c
         CALL histdef(nid_ins, "tsol", "Surface Temperature", "K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "t2m", "Temperature 2m", "K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "q2m", "Specific humidity 2m", "Kg/Kg",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "u10m", "Vent zonal 10m", "m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "v10m", "Vent meridien 10m", "m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
         CALL histdef(nid_ins, "psol", "Surface Pressure", "Pa",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "plul", "Large-scale Precip.", "mm/day",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "pluc", "Convective Precip.", "mm/day",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "cdrm", "Momentum drag coef.", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "cdrh", "Heat drag coef.", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "precip", "Precipitation Totale liq+sol", 
      .                "kg/(s*m2)",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "snow", "Snow fall", "kg/(s*m2)",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "snow_mass", "Snow Mass", "kg/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "topl", "OLR", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "evap", "Evaporation", "kg/(s*m2)",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "sols", "Solar rad. at surf.", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "soll", "IR rad. at surface", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "solldown", "Down. IR rad. at surface", 
-     .                "W/m2", iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                "W/m2", iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "bils", "Surf. total heat flux", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "sens", "Sensible heat flux", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "fder", "Heat flux derivation", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
       CALL histdef(nid_ins, "dtsvdfo", "Boundary-layer dTs(o)", "K/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
       CALL histdef(nid_ins, "dtsvdft", "Boundary-layer dTs(t)", "K/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
       CALL histdef(nid_ins, "dtsvdfg", "Boundary-layer dTs(g)", "K/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
       CALL histdef(nid_ins, "dtsvdfi", "Boundary-layer dTs(g)", "K/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 
@@ -144,53 +146,53 @@
            call histdef(nid_ins, "pourc_"//clnsurf(nsrf), 
      $         "Fraction"//clnsurf(nsrf), "W/m2",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "inst(X)", zsto,zout)
 
            call histdef(nid_ins, "sens_"//clnsurf(nsrf), 
      $         "Sensible heat flux "//clnsurf(nsrf), "W/m2",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "inst(X)", zsto,zout)
 c
            call histdef(nid_ins, "tsol_"//clnsurf(nsrf), 
      $         "Surface Temperature"//clnsurf(nsrf), "W/m2",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "inst(X)", zsto,zout)
 c
            call histdef(nid_ins, "lat_"//clnsurf(nsrf), 
      $         "Latent heat flux "//clnsurf(nsrf), "W/m2",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "inst(X)", zsto,zout)
 C
            call histdef(nid_ins, "taux_"//clnsurf(nsrf), 
      $         "Zonal wind stress"//clnsurf(nsrf),"Pa",
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "inst(X)", zsto,zout)
 
            call histdef(nid_ins, "tauy_"//clnsurf(nsrf), 
      $         "Meridional xind stress "//clnsurf(nsrf), "Pa",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "inst(X)", zsto,zout)
 c
            call histdef(nid_ins, "albe_"//clnsurf(nsrf), 
      $         "Albedo "//clnsurf(nsrf), "-",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "inst(X)", zsto,zout)
 c
            call histdef(nid_ins, "rugs_"//clnsurf(nsrf), 
      $         "rugosite "//clnsurf(nsrf), "-",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "inst(X)", zsto,zout)
 CXXX
          END DO 
          CALL histdef(nid_ins, "rugs", "rugosity", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 
 c
          CALL histdef(nid_ins, "albs", "Surface albedo", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
          CALL histdef(nid_ins, "albslw", "Surface albedo LW", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zsto,zout)
 c
@@ -199,29 +201,29 @@
 c
          CALL histdef(nid_ins, "temp", "Temperature", "K",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "vitu", "Zonal wind", "m/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "vitv", "Merid wind", "m/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "geop", "Geopotential height", "m",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "pres", "Air pressure", "Pa",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "dtvdf", "Boundary-layer dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 c
          CALL histdef(nid_ins, "dqvdf", "Boundary-layer dQ", "Kg/Kg/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "inst(X)", zsto,zout)
 c
